Subject: Re: bug#28175: 26.0.50; undefined reference to `gnutls_mac_get_nonce_size'

From: Thomas Hisch <[email-masked]>
Date: Wed, 6 Sep 2017 21:47:17 +0200

On 09/06/2017 09:33 PM, Ted Zlatanov wrote:
> On Mon, 21 Aug 2017 13:11:42 -0400 Ted Zlatanov <[email-masked]> wrote:
>
> TZ> On Mon, 21 Aug 2017 10:28:32 +0200 Thomas Hisch <[email-masked]> wrote:
> TH> I can no longer compile emacs on my opensuse 13.1 machine, due to the
> TH> recent changes to the gnutls code in emacs.
> TZ> ...
> TH> gnutls.o: In function `Fgnutls_macs':
> TH> gnutls.c:(.text+0x131f): undefined reference to `gnutls_mac_get_nonce_size'
> TZ> ...
> TH> According to the gnutls docs gnutls_mac_get_nonce_size is available
> TH> since gnutls version 3.2. In my system 3.2.4 is installed
> TZ> ...
> TH> If I list the symbols of the gnutls shared library using nm -AD /usr/lib64/libgnutls.so, the
> TH> gnutls_mac_get_nonce_size function is not in the output of this
> TH> command. However, the declaration for gnutls_mac_get_nonce_size is contained in the gnutls
> TH> header file /usr/include/gnutls/crypto.h.
>
> TZ> Hmm. I really have no idea how to fix this, if the headers are
> TZ> disagreeing with the installed library. Sorry. Maybe someone else will
> TZ> have an idea--we could blacklist certain GnuTLS versions on some
> TZ> platforms, but it seems like a substandard solution.
I agree that blacklisting certain GnuTLS versions is not ideal.
> Ping... I'd like to close this if there's no resolution in sight.
Unfortunately, I haven't found a solution yet, but I'm fine if you close this ticket.

Thomas